Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::SegmentInfoStatus Class Reference

Holds the status of each segment in the index. See segmentInfos. More...

`#include <CheckIndex.h>`

Inheritance diagram for Lucene::SegmentInfoStatus:

## Public Member Functions

| SegmentInfoStatus ()
virtual | ~SegmentInfoStatus ()
virtual String | getClassName ()
boost::shared_ptr< SegmentInfoStatus > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

String | name
| Name of the segment. More...
int32_t | docCount
| Document count (does not take deletions into account). More...
bool | compound
| True if segment is compound file format. More...
int32_t | numFiles
| Number of files referenced by this segment. More...
double | sizeMB
| Net size (MB) of the files referenced by this segment. More...
int32_t | docStoreOffset
| Doc store offset, if this segment shares the doc store files (stored fields and term vectors) with other segments. This is -1 if it does not share. More...
String | docStoreSegment
| String of the shared doc store segment, or null if this segment does not share the doc store files. More...
bool | docStoreCompoundFile
| True if the shared doc store files are compound file format. More...
bool | hasDeletions
| True if this segment has pending deletions. More...
String | deletionsFileName
| Name of the current deletions file name. More...
int32_t | numDeleted
| Number of deleted documents. More...
bool | openReaderPassed
| True if we were able to open a SegmentReader on this segment. More...
int32_t | numFields
| Number of fields in this segment. More...
bool | hasProx
| True if at least one of the fields in this segment does not omitTermFreqAndPositions. More...
MapStringString | diagnostics
| Map that includes certain debugging details that IndexWriter records into each segment it creates. More...
FieldNormStatusPtr | fieldNormStatus
| Status for testing of field norms (null if field norms could not be tested). More...
TermIndexStatusPtr | termIndexStatus
| Status for testing of indexed terms (null if indexed terms could not be tested). More...
StoredFieldStatusPtr | storedFieldStatus
| Status for testing of stored fields (null if stored fields could not be tested). More...
TermVectorStatusPtr | termVectorStatus
| Status for testing of term vectors (null if term vectors could not be tested). More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Holds the status of each segment in the index. See segmentInfos.

## Constructor & Destructor Documentation

## ◆ SegmentInfoStatus()

Lucene::SegmentInfoStatus::SegmentInfoStatus | ( |  | ) |

## ◆ ~SegmentInfoStatus()

virtual Lucene::SegmentInfoStatus::~SegmentInfoStatus | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::SegmentInfoStatus::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::SegmentInfoStatus::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< SegmentInfoStatus > Lucene::SegmentInfoStatus::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ compound

bool Lucene::SegmentInfoStatus::compound

True if segment is compound file format.

## ◆ deletionsFileName

String Lucene::SegmentInfoStatus::deletionsFileName

Name of the current deletions file name.

## ◆ diagnostics

MapStringString Lucene::SegmentInfoStatus::diagnostics

Map that includes certain debugging details that IndexWriter records into each segment it creates.

## ◆ docCount

int32_t Lucene::SegmentInfoStatus::docCount

Document count (does not take deletions into account).

## ◆ docStoreCompoundFile

bool Lucene::SegmentInfoStatus::docStoreCompoundFile

True if the shared doc store files are compound file format.

## ◆ docStoreOffset

int32_t Lucene::SegmentInfoStatus::docStoreOffset

Doc store offset, if this segment shares the doc store files (stored fields and term vectors) with other segments. This is -1 if it does not share.

## ◆ docStoreSegment

String Lucene::SegmentInfoStatus::docStoreSegment

String of the shared doc store segment, or null if this segment does not share the doc store files.

## ◆ fieldNormStatus

FieldNormStatusPtr Lucene::SegmentInfoStatus::fieldNormStatus

Status for testing of field norms (null if field norms could not be tested).

## ◆ hasDeletions

bool Lucene::SegmentInfoStatus::hasDeletions

True if this segment has pending deletions.

## ◆ hasProx

bool Lucene::SegmentInfoStatus::hasProx

True if at least one of the fields in this segment does not omitTermFreqAndPositions.

See also
  AbstractField::setOmitTermFreqAndPositions

## ◆ name

String Lucene::SegmentInfoStatus::name

Name of the segment.

## ◆ numDeleted

int32_t Lucene::SegmentInfoStatus::numDeleted

Number of deleted documents.

## ◆ numFields

int32_t Lucene::SegmentInfoStatus::numFields

Number of fields in this segment.

## ◆ numFiles

int32_t Lucene::SegmentInfoStatus::numFiles

Number of files referenced by this segment.

## ◆ openReaderPassed

bool Lucene::SegmentInfoStatus::openReaderPassed

True if we were able to open a SegmentReader on this segment.

## ◆ sizeMB

double Lucene::SegmentInfoStatus::sizeMB

Net size (MB) of the files referenced by this segment.

## ◆ storedFieldStatus

StoredFieldStatusPtr Lucene::SegmentInfoStatus::storedFieldStatus

Status for testing of stored fields (null if stored fields could not be tested).

## ◆ termIndexStatus

TermIndexStatusPtr Lucene::SegmentInfoStatus::termIndexStatus

Status for testing of indexed terms (null if indexed terms could not be tested).

## ◆ termVectorStatus

TermVectorStatusPtr Lucene::SegmentInfoStatus::termVectorStatus

Status for testing of term vectors (null if term vectors could not be tested).

The documentation for this class was generated from the following file:

- CheckIndex.h

clucene.sourceforge.net